#include "bitmaps.h"
#include <TFT_eSPI.h> 
#include <SPI.h>
#include <Bme280.h>

Bme280TwoWire sensor;

TFT_eSPI tft = TFT_eSPI();  //pins defined in User_Setup.h

void setup(void) {
  Wire.begin();
  sensor.begin(Bme280TwoWireAddress::Primary);
  sensor.setSettings(Bme280Settings::indoor());
  tft.init();
  tft.setRotation(3);
}

void loop() {
  tft.fillScreen(TFT_BLACK);
  show_BME280_measurements();
  delay(5000);
}

void show_BME280_measurements(){
  tft.drawXBitmap(27, 50, temp, iconWidth, iconHeight, TFT_RED);
  tft.drawXBitmap(27, 105, humidity, iconWidth, iconHeight, TFT_BLUE);
  tft.drawXBitmap(27, 160, pressure, iconWidth, iconHeight, TFT_YELLOW);
  
  float tempC = sensor.getTemperature();
  auto temperatureC = String(tempC) + " C";
  float tempF = ((tempC * 9) / 5) + 32;
  auto temperatureF = String(tempF) + " F";
  auto pressure = String(sensor.getPressure() / 100.0) + " hPa";
  auto humidity = String(sensor.getHumidity()) + " %";

  tft.setTextColor(TFT_WHITE);
  tft.drawString("Indoor BME280 Readings", 20, 10, 4);
  tft.setTextColor(TFT_RED);
  String measurements = temperatureC + " / " + temperatureF;
  tft.drawString(measurements, 95, 65, 4);
  tft.setTextColor(TFT_BLUE);
  //measurements = humidity;
  tft.drawString(humidity, 95, 120, 4);
  tft.setTextColor(TFT_YELLOW);
  tft.drawString(pressure, 95, 175, 4);
}
